### Method

# FwupdPlugin PathStore add_prefix

since: 2.1.1

#### Declaration [src]

    void
    fu_path_store_add_prefix (
      FuPathStore* self,
      FuPathKind kind,
      const gchar* prefix
    )

#### Description [src]

Sets the prefix path for the `kind`.

Available since: 2.1.1

#### Parameters

`kind`

  Type: `FuPathKind`

  No description available.

`prefix`

  Type: `const gchar*`

  Directory name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.